Summary: A C library for creating Common Gateway Interface ("CGI") programs
Name: cgilib
Version: 0.7
Release: 2%{?dist}
License: GPLv2+
Group: System Environment/Libraries
Source: http://www.infodrom.org/projects/cgilib/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.infodrom.org/projects/cgilib/

%description
The cgilib library provides a C library for creating Common Gateway
Interface (CGI) programs.  The CGI is a way to create dynamic web pages.
It defines rules for interaction between a program and the web server
while the server talks to the client.

%package devel
Summary: Files needed to develop applications using cgilib
Group: Development/Libraries
Requires: cgilib = %{version}-%{release}

%description devel
This package provides the libraries, include files, and other resources
needed for developing applications using cgilib.

%prep
%setup -q
iconv -c -t UTF-8 README > README.utf8
mv README.utf8 README

%build
%configure --disable-static
make %{?_smb_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f ${RPM_BUILD_ROOT}%{_libdir}/libcgi.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, -)
%{_libdir}/lib*.so.*
%{_bindir}/*
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-, root, root, -)
%{_libdir}/lib*.so
%{_includedir}/*.h
%{_mandir}/*/*

%changelog
* Tue Feb 10 2009 W. Michael Petullo <mike[@]flyn.org> - 0.7-2
   - Set defattr for devel package.

   - Convert README to UTF-8 as original is ISO-8859 and has invalid
   characters.

* Mon Feb 09 2009 W. Michael Petullo <mike[@]flyn.org> - 0.7-1
   - Update to 0.7.

   - Remove autotools patch because it is now upstream.

   - No longer BuildRequire autotools.

   - Install new documentation files.

* Mon Jun 09 2008 W. Michael Petullo <mike[@]flyn.org> - 0.6-2
   - Simplify autotools patch: don't make us GNU compatible, just build
     using autotools.

   - BuildRequire autotools.

* Wed May 28 2008 W. Michael Petullo <mike[@]flyn.org> - 0.6-1
   - Initial RPM.
